var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconArrowRightComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-arrow-right").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 14 14", fill: useCurrentColor ? 'currentColor' : '#000', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M10.3919 6.41706L8.08731 4.11244C7.85951 3.88463 7.85951 3.51528 8.08731 3.28748V3.28748C8.31512 3.05967 8.68447 3.05967 8.91227 3.28748L11.9175 6.29268C12.308 6.6832 12.308 7.31636 11.9175 7.70689L8.91227 10.7121C8.68447 10.9399 8.31512 10.9399 8.08732 10.7121V10.7121C7.85951 10.4843 7.85951 10.1149 8.08731 9.88713L10.3907 7.58373H1.04168C0.719511 7.58373 0.458344 7.32256 0.458344 7.0004V7.0004C0.458344 6.67823 0.719511 6.41706 1.04168 6.41706H10.3919Z" }));
}
var IconArrowRight = React.forwardRef(IconArrowRightComponent);
export default IconArrowRight;
